#
# spec file for package python3-pythonbrew
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-pythonbrew
Version:        1.3.6
Release:        2.6
Url:            https://github.com/utahta/pythonbrew
Summary:        Manage python installations in your $HOME
License:        MIT
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/pythonbrew/pythonbrew-%{version}.tar.gz
Source1:        %{name}.rpmlintrc
# PATCH-FIX-OPENSUSE python-pythonbrew-setup.py.diff toms@opensuse.org -- Removed tests dir to be installed
Patch1:         python-pythonbrew-setup.py.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  fdupes
BuildArch:      noarch

%description
pythonbrew is a program to automate the building and installation of Python 
in the users $HOME. pythonbrew is inspired by perlbrew and rvm.


%prep
%setup -q -n pythonbrew-%{version}
%patch1 

# We don't need the testcases
rm -rf tests/

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Append Python version number so it doesn't conflict with the version 2.x
for i in pythonbrew_install pythonbrew_systemwide; do
 mv %{buildroot}%{_bindir}/$i %{buildroot}%{_bindir}/$i-%{py3_ver}
done

%fdupes -s %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst PKG-INFO
%{_bindir}/*-%{py3_ver}
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sun Jun 21 2015 arun@gmx.de
- update to version 1.3.6:
  * Fixed issue #145 Fix setuptools url and updated for new pythons
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * remove python(abi) requirement
* Thu Jan  8 2015 arun@gmx.de
- specfile: update copyright year
- update to version 1.3.5:
  * Fixed issue #140 Add Python 2.7.6 as latest 2.x release
  * Fixed issue #142 fix syntax error in pythonbrew/etc/bashrc
- changes from version 1.3.4:
  * Fixed issue #107 Fix curl version incompatibilities
  * Fixed issue #109 Remove bogus -n command line arg
  * Fixed issue #118 Fix compilation of Python 2.6.2 and earlier.
  * Fixed issue #120 remove venv create -n option; add a venv create -g option
  * Fixed issue #122 Support Python 2.7.4
  * Fixed issue #123 Updated for new pythons
  * Fixed issue #124 Add Python 2.7.4 and Fix `No module named _sqlite3` for 2.7.4
  * Fixed issue #126 fishshell equivalent of etc/bashrc
  * Fixed issue #133 Python-2.7.5 added to pythonbrew/etc/config.cfg
* Tue Apr 23 2013 toms@opensuse.org
- First initial package for Python3
